# StarterAttributes | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface StarterAttributes

interface StarterAttributes {
ability ?: number;
female ?: boolean;
form ?: number;
nature ?: number;
variant ?: number;
}

- Defined in src/system/game-data.ts:191

#####
Index

### Properties

ability?
female?
form?
nature?
variant?

## Properties

### `Optional` ability

ability?: number

- Defined in src/system/game-data.ts:193

### `Optional` female

female?: boolean

- Defined in src/system/game-data.ts:196

### `Optional` form

form?: number

- Defined in src/system/game-data.ts:195

### `Optional` nature

nature?: number

- Defined in src/system/game-data.ts:192

### `Optional` variant

variant?: number

- Defined in src/system/game-data.ts:194